Bug 1198135 - VirtualGL version 2.4 is available
Summary: VirtualGL version 2.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: VirtualGL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gary Gatling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 13:00 UTC by Pär Lindfors
Modified: 2015-05-26 03:39 UTC (History)
3 users (show)

Fixed In Version: VirtualGL-2.4-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:15:16 UTC
Type: Bug


Attachments (Terms of Use)
New version 2.4 (4.01 KB, application/mbox)
2015-03-03 13:00 UTC, Pär Lindfors
no flags Details

Description Pär Lindfors 2015-03-03 13:00:38 UTC
Created attachment 997535 [details]
New version 2.4

VirtualGL 2.4 was released on 2015-01-26.

We run CentOS 6 and have previously been running a locally rebuilt version of the VirtualGL 2.3.3-5 source RPM from Fedora, since VirtualGL is not available in EPEL6.

I have updated the RPM packaging for 2.4 and built new packages for our internal use. My changes are attached to this bug as they might be useful to you. Note however I have not tried to built RPMs using this packaging on anything other than CentOS 6.

Comment 1 Gary Gatling 2015-03-03 14:48:05 UTC
Hey, thanks a lot. I will try to get this updated asap. Having some electrical issues today in my office but hopefully will be able to get to it tomorrow.

Comment 2 Rex Dieter 2015-04-26 12:03:50 UTC
It was pointed out to me that 2.4 would help bumblebee users too, see:
https://bugreports.qt.io/browse/QTBUG-33258

Comment 3 Fedora Update System 2015-04-28 21:33:11 UTC
VirtualGL-2.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-1.fc22

Comment 4 Fedora Update System 2015-04-28 21:44:20 UTC
VirtualGL-2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-1.fc21

Comment 5 Fedora Update System 2015-04-28 21:53:47 UTC
VirtualGL-2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-1.fc20

Comment 6 Fedora Update System 2015-04-28 22:16:47 UTC
VirtualGL-2.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-2.fc22

Comment 7 Fedora Update System 2015-04-28 22:29:46 UTC
VirtualGL-2.4-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-2.fc21

Comment 8 Fedora Update System 2015-04-28 22:36:49 UTC
VirtualGL-2.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-2.fc20

Comment 9 Fedora Update System 2015-04-28 22:51:32 UTC
VirtualGL-2.4-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-2.el7

Comment 10 Gary Gatling 2015-04-28 22:55:34 UTC
Hello. Thank you for your patience. VirtualGL 2.4 has been submitted as an update. It does not build in the el6 branch on ppc64 arch. But all other branches have been submitted as updates.

I will try to figure out if something can be done about ppc64 on el6 when time permits. Will push the package out to branches it did build on once it has enough karma. Thanks.

Comment 11 Romain DEP. 2015-04-29 04:26:25 UTC
(In reply to Gary Gatling from comment #10)
> Hello. Thank you for your patience. VirtualGL 2.4 has been submitted as an
> update. It does not build in the el6 branch on ppc64 arch. But all other
> branches have been submitted as updates.
> 
> I will try to figure out if something can be done about ppc64 on el6 when
> time permits. Will push the package out to branches it did build on once it
> has enough karma. Thanks.

Out of curiosity, is VirtualGL now build with cmake's argument -DVGL_FAKEXCB=1 as per mentioned in rdieter's linked bug?
My testcase involves a Qt5 application which doesn't seem to resize any better using this new version.

Comment 12 Gary Gatling 2015-04-29 17:14:39 UTC
No. It does not. Let me make sure that adding that option doesn't break anything I can test. If there are no problems I will do an update having -DVGL_FAKEXCB=1 in the %build section. Cheers.

Comment 13 Romain DEP. 2015-04-29 17:34:25 UTC
(In reply to Gary Gatling from comment #12)
> No. It does not. Let me make sure that adding that option doesn't break
> anything I can test. If there are no problems I will do an update having
> -DVGL_FAKEXCB=1 in the %build section. Cheers.

Hi!
Good to know! If this process involves some new RPMs made publicly available, I would be delighted to help with testing!
Bests,

Comment 14 Fedora Update System 2015-04-29 19:21:04 UTC
Package VirtualGL-2.4-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing VirtualGL-2.4-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6063/VirtualGL-2.4-2.el7
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-05-05 19:53:04 UTC
VirtualGL-2.4-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc22

Comment 16 Fedora Update System 2015-05-05 20:02:05 UTC
VirtualGL-2.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc21

Comment 17 Fedora Update System 2015-05-05 20:10:42 UTC
VirtualGL-2.4-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.fc20

Comment 18 Fedora Update System 2015-05-05 20:19:16 UTC
VirtualGL-2.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.el6

Comment 19 Fedora Update System 2015-05-05 20:27:49 UTC
VirtualGL-2.4-4.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/VirtualGL-2.4-4.el7

Comment 20 Fedora Update System 2015-05-19 16:15:16 UTC
VirtualGL-2.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-05-19 16:21:19 UTC
VirtualGL-2.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-05-21 05:13:12 UTC
VirtualGL-2.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-05-21 05:13:46 UTC
VirtualGL-2.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-05-26 03:39:44 UTC
VirtualGL-2.4-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.